/*
 * Copyright 2022
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http: //www.gnu.org/licenses/>.
 */
import QtQuick 2.9
import QtQuick.Layouts 1.5
import org.kde.plasma.plasmoid 2.0
import org.kde.plasma.core 2.1 as PlasmaCore
import org.kde.plasma.components 2.0 as PlasmaComponents

Item {
    id: compactRepresentation

    anchors.fill: parent

    CompactItem {
        id: compactItem
        inTray: false
    }

   MouseArea {
        anchors.fill: parent
        acceptedButtons: Qt.LeftButton | Qt.MiddleButton
        hoverEnabled: true
        onClicked: {
            if (mouse.button == Qt.MiddleButton) {
                main.refresh()
            } else {
                plasmoid.expanded = !plasmoid.expanded
            }
        }
   }

        PlasmaCore.ToolTipArea {
            id: toolTipArea
            anchors.fill: parent
            active: !plasmoid.expanded
            interactive: true
            //font.capitalization: Font.Capitalize
            mainText: owm.currentConditions
            subText: owm.alertText
            //textFormat: Text.RichText
            icon: owm.weatherWarnings ? "weather-severe-alert-symbolic" : "weather-few-clouds-symbolic"
        }
    }
