import QtQuick 2.9
import QtQuick.Layouts 1.15
import org.kde.plasma.plasmoid 2.0
import org.kde.plasma.core 2.1

Item {
    id: main
    OpenWeather{id:owm}

    Plasmoid.icon: owm.weatherWarnings ? "weather-severe-alert-symbolic" : "weather-few-clouds-symbolic"
	Plasmoid.toolTipMainText: owm.currentConditions
    Plasmoid.toolTipSubText:owm.alertText

    //property Component cr: CompactRepresentation { }
    //property Component fr: FullRepresentation { }
    Plasmoid.compactRepresentation:CompactRepresentation { }
    Plasmoid.fullRepresentation: FullRepresentation { }
    Plasmoid.preferredRepresentation: isConstrained() ? Plasmoid.compactRepresentation : Plasmoid.fullRepresentation

    ///Plasmoid.preferredRepresentation: CompactRepresentation { }
    //CompactRepresentation { }
   //FullRepresentation { }
    //plasmoid.busy = false
    //property bool onDesktop: (plasmoid.location == PlasmaCore.Types.Desktop || plasmoid.location == PlasmaCore.Types.Floating)

    function isConstrained() {  // test for floating or panel placement of widget
        return (plasmoid.formFactor == PlasmaCore.Types.Vertical || plasmoid.formFactor == PlasmaCore.Types.Horizontal);
    }

    function action_refresh() {
		owm.getWeather(owm.url1)
        owm.timerUpdateWeather.restart();
	}

	Component.onCompleted: {
		plasmoid.setAction("refresh", i18n("Refresh"), "view-refresh")
	}
}
